select
    a.id
     , a.sqr applicant -- 申请人
     , a.sqrq apply_date -- 申请日期
     , a.qfkx trans_payment -- 移交款项
     , d.pqbm district_code -- 片区编码
     , d.pqmc district_name -- 片区名称
     , b.xmbm project_code -- 项目id
     , b.xmmc project_name -- 项目名称
     , a.sszy belong_resource -- 所属资源
     , a.yjlx trans_type -- 移交类型
from ods_oa_uf_wy_yj_d a
         left join (select id, xmmc, xmbm, sfyx from ods_oa_uf_wy_xm_d) b
                   on a.ssxm = b.id
         left join (select id, left(pqbm,4) pqbm from ods_oa_uf_wy_pq_d where length(pqbm)=6) c -- 地区
                   on a.sspq = c.id
         left join (select pqbm, pqmc from ods_oa_uf_wy_pq_d where length(pqbm)=4) d -- 片区
                   on c.pqbm = d.pqbm
where b.sfyx = 1